%define major		2
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Summary:	Opal Library
Name:		opal
Version:	2.2.11
Release:	%mkrel 5
License:	MPL
Group:		System/Libraries
URL:		http://www.openh323.org/
Source0:	http://www.ekiga.org/admin/downloads/latest/sources/sources/%{name}-%{version}.tar.bz2
# (fc) 2.1.2-1mdk fix libname
Patch0:		opal-2.1.3-libname.patch
# (fc) 2.2.8-4mdv fix build with latest gcc
Patch1:		opal-2.2.8-gcc42.patch

BuildRequires:	gawk
BuildRequires:	openssl-devel
BuildRequires:	openldap-devel
BuildRequires:	pwlib-devel >= 1.10.10
BuildRequires:	libspeex-devel
BuildRequires:	X11-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This is a Open Source class library for the development of
applications that wish to use SIP / H.323 protocols for multi-media
communications over packet based networks.

%package -n	%{libname}
Summary:	Opal Library
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
Shared library for OPAL (SIP / H323 stack).

%package -n	%{develname}
Summary:	Opal development files
Group:		Development/C
Requires:	%{libname} = %{version}-%{release} 
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname opal 2 -d}

%description -n	%{develname}
Header files and libraries for developing applications that use
Opal.

%prep

%setup -q
%patch0 -p1 -b .libname
%patch1 -p1 -b .fixgcc42

%build
%configure2_5x \
    --enable-localspeex \
    --enable-h263avcodec 

%make OPTCCFLAGS="" RPM_OPT_FLAGS="" 

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

%if %mdkversion < 200900
%post -p /sbin/ldconfig -n %{libname}
%endif

%if %mdkversion < 200900
%postun -p /sbin/ldconfig -n %{libname}
%endif

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%attr(0755,root,root) %{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc mpl-1.0.htm
%attr(0755,root,root) %{_libdir}/*.so
%{_includedir}/*
%{_datadir}/opal


%changelog
* Wed Jul 16 2008 Götz Waschk <waschk@mandriva.org> 2.2.11-5mdv2009.0
+ Revision: 236347
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.2.11-4mdv2009.0
+ Revision: 223359
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Jan 03 2008 Oden Eriksson <oeriksson@mandriva.com> 2.2.11-3mdv2008.1
+ Revision: 141880
- rebuilt against openldap-2.4.7 libs

* Fri Dec 28 2007 Adam Williamson <awilliamson@mandriva.com> 2.2.11-2mdv2008.1
+ Revision: 138976
- revert to 2.2.11 as requested by fcrozat. basically 2.2.11-1mdv, but:
  	+ use new -devel policy
  	+ include automatic buildrequires fix by thierry-bot
  	+ move license from lib package to devel package as per library policy

* Wed Dec 26 2007 Oden Eriksson <oeriksson@mandriva.com> 3.1.2-3mdv2008.1
+ Revision: 137943
- rebuilt against openldap-2.4.7 libs

* Tue Dec 25 2007 Adam Williamson <awilliamson@mandriva.com> 3.1.2-2mdv2008.1
+ Revision: 137730
- make ptlib requirements specific while pwlib is still around

* Mon Dec 24 2007 Adam Williamson <awilliamson@mandriva.com> 3.1.2-1mdv2008.1
+ Revision: 137612
- fix location of pkgconfig file (again)
- conflicts with libopal2-devel
- correct location of pkgconfig file
- pwlib / ptlib workaround is obsolete
- buildrequires ffmpeg-devel
- correct buildrequires
- build against pwlib 2.1.2
- add plugins package for pwlib codecs that are now built as part of opal
- improve summary / description a little
- rediff patch
- new lib policy
- new version 3.1.2 (from opalvoip.org)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel

* Wed Sep 19 2007 Frederic Crozat <fcrozat@mandriva.com> 2.2.11-1mdv2008.0
+ Revision: 90894
- Release 2.2.11

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.2.10-2mdv2008.0
+ Revision: 90015
- rebuild

  + Frederic Crozat <fcrozat@mandriva.com>
    - Release 2.2.10

* Wed Aug 22 2007 Frederic Crozat <fcrozat@mandriva.com> 2.2.8-3mdv2008.0
+ Revision: 69009
- Patch1 (CVS): fix build with latest gcc

* Fri May 25 2007 Frederic Crozat <fcrozat@mandriva.com> 2.2.8-2mdv2008.0
+ Revision: 30986
- Add provides to ease enforcing opal / pwlib dependencies in ekiga package

* Wed Apr 18 2007 Götz Waschk <waschk@mandriva.org> 2.2.8-1mdv2008.0
+ Revision: 14418
- new version


* Sun Mar 11 2007 Götz Waschk <waschk@mandriva.org> 2.2.6-1mdv2007.1
+ Revision: 141415
- new version

* Wed Feb 14 2007 Götz Waschk <waschk@mandriva.org> 2.2.5-1mdv2007.1
+ Revision: 120705
- new version

* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 2.2.4-1mdv2007.1
+ Revision: 111679
- new version
- unpack patch
- drop patch 1

* Sat Dec 30 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.2.3-2mdv2007.1
+ Revision: 102714
- patch1: fix DTMF with SIP using rfc2833
- Import opal

* Tue Sep 05 2006 Frederic Crozat <fcrozat@mandriva.com> 2.2.3-1mdv2007.0
- Release 2.2.3

* Wed Jun 07 2006 Götz Waschk <waschk@mandriva.org> 2.2.2-1mdk
- New release 2.2.2

* Tue Mar 14 2006 Götz Waschk <waschk@mandriva.org> 2.2.1-1mdk
- source URL
- new version

* Mon Mar 13 2006 Götz Waschk <waschk@mandriva.org> 2.2.0-1mdk
- bump deps
- New release 2.2.0

* Wed Feb 15 2006 Frederic Crozat <fcrozat@mandriva.com> 2.1.3-3mdk
- Update patch0 : fix SONAME

* Wed Feb 15 2006 Frederic Crozat <fcrozat@mandriva.com> 2.1.3-2mdk
- Don't use cflags two times
- Enable IAX

* Tue Feb 14 2006 Götz Waschk <waschk@mandriva.org> 2.1.3-1mdk
- New release 2.1.3

* Wed Jan 18 2006 Frederic Crozat <fcrozat@mandriva.com> 2.1.2-1mdk
- First mdk package (based on openh323 one)
- Patch0: fix libname

